No results found

Out with the Old, In with the New

Yesterday, we pre-released version 6.20.0 of the Brightcove Player, marking the first release using Video.js 7!

Video.js 7 includes two major changes.

First, it bundles the Video.js HTTP Streaming library into Video.js, adding HLS playback support and experimental DASH playback support to the default Video.js library. The Brightcove Player has long bundled HLS playback support, so this aspect of the update does not significantly affect Brightcove customers.

However, the second change does affect Brightcove customers and it's one we're really excited about: the removal of support for Internet Explorer (IE) versions 9 and 10. Going forward, we will only support IE11 and versions 6.20.0 and higher of the Brightcove Player will not function properly in IE versions before 11. The full details of this policy change can be found in the Brightcove Player System Requirements document.

How is Removing Support for Something a Good Thing?

This is a sensible question!

As of June 20th, IEs older than 11 accounted for a mere 0.07% of our Player traffic. However, every quarter we have expended effort to support these outdated browsers. This includes the human effort of running manual tests and debugging potential issues as well as the machine effort of running automated tests. Every hour we spend testing and chasing issues with these browsers is an hour we can't spend doing work that's more valuable for the Brightcove Player and our customers.

Further, removing support for old IEs from both Video.js and the Brightcove Player has reduced the size of the default Player from 166KB to 159KB. In other words, after updating to 6.20.0, each Player download from our CDN should send roughly 7KB less data over the wire!

Now, 7KB doesn't sound like much, but consider it in aggregate. We only need to deliver around 142,857 players from our CDN to save of one gigabyte of bandwidth!

And this savings doesn't just affect us here at Brightcove. The most important beneficiaries of this change are our customers' users. They will be consuming less bandwidth from their limited mobile data plans.

What if I Want IE9 or IE10 Support?

If customers need to retain IE9/IE10 support, they can opt out of automatic Brightcove Player updates either in the Studio or via the Player Management API.

Customers still on versions 5.x don't need to do anything. But we strongly recommend upgrading to 6.x to get all the latest and greatest improvements!